> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /gumtree/sellers

> Get a Gumtree seller by the ID of any of their ads: seller name, numeric seller and account IDs, professional-account flag and the number of ads they currently have live.

**Price:** 10 credits

**⚠️ Common errors:** 412: Seller not found (well-formed but nonexistent/removed ad ID)



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/gumtree/sellers
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/gumtree/sellers:
    post:
      tags:
        - /gumtree
      summary: /gumtree/sellers
      description: >-
        Get a Gumtree seller by the ID of any of their ads: seller name, numeric
        seller and account IDs, professional-account flag and the number of ads
        they currently have live.


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Seller not found (well-formed but
        nonexistent/removed ad ID)
      operationId: __api_gumtree_sellers_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GumtreeSellersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GumtreeSeller'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GumtreeSellersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        ad:
          type: string
          minLength: 1
      type: object
      required:
        - ad
    GumtreeSeller:
      properties:
        '@type':
          type: string
          default: GumtreeSeller
        id:
          anyOf:
            - type: string
            - type: 'null'
        account_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        is_pro:
          type: boolean
          default: false
        ad_count:
          anyOf:
            - type: integer
            - type: 'null'
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````